Main ()
{
        setCullFog (1000, 8000, 0.15, 0.15, 0.15, 0);
	ambientPlay("ambient_grunt");

	level thread maps\mp\_tankdrive_gmi::main();
	level thread maps\mp\_jeepdrive_gmi::main();
	level thread maps\mp\_flak_gmi::main();
	level thread maps\mp\_vehdrive_dmod::main();
	maps\mp\_load::main();

	game["american_soldiertype"] = "airborne";
	game["american_soldiervariation"] = "normal";
	game["german_soldiertype"] = "waffen";
	game["german_soldiervariation"] = "normal";

        game["attackers"] = "allies";
	game["defenders"] = "axis";

	game["compass_range"] = 6124;

	game["hud_allies_victory_image"] 	= "gfx/hud/hud@mp_victory_foy_us.dds";
	game["hud_axis_victory_image"] 		= "gfx/hud/hud@mp_victory_foy_g.dds";

	game["layoutimage"] = "gruntmap";
   	game["bas_layoutimage"] = "gruntmap";

//base assault settings
	if(getCvar("scr_bas_basehealth") == "")  
		setCvar("scr_bas_basehealth", "24500");  
	setCvar("scr_bas_basehealth", getCvarInt("scr_bas_basehealth"));

	setCvar("scr_bas_damagedhealth", getCvarInt("scr_bas_basehealth")/2);
	game["bas_allies_rubble"] 	= "xmodel/mp_bunker_rhinevalley_rubble";
	game["bas_allies_complete"] 	= "xmodel/mp_bunker_rhinevalley";
	game["bas_allies_damaged"] 	= "xmodel/mp_bunker_rhinevalley_predmg";
	game["bas_allies_destroyed"] 	= "xmodel/mp_bunker_rhinevalley_dmg";
	game["bas_axis_rubble"] 	= "xmodel/mp_bunker_rhinevalley_rubble";
	game["bas_axis_complete"] 	= "xmodel/mp_bunker_rhinevalley";
	game["bas_axis_damaged"] 	= "xmodel/mp_bunker_rhinevalley_predmg";
	game["bas_axis_destroyed"] 	= "xmodel/mp_bunker_rhinevalley_dmg";
//
        maps\mp\_util_mp_gmi::base_swapper();
	
	if (getcvar("fs_copyfiles") == "1")
	{
		precacheShader(game["bas_layoutimage"]);
		precacheShader(game["ctf_layoutimage"]);
		precacheShader(game["hud_allies_victory_image"]);
		precacheShader(game["hud_axis_victory_image"]);
	}
}

move_bases()
{
	base_movers = [];	
		
	entitytypes = getentarray();
	for(i = 0; i < entitytypes.size; i++)
	{
		if(isdefined(entitytypes[i].groupname))
		{
			if(entitytypes[i].groupname == "base_mover")
			{		
				entitytypes[i] moveto(entitytypes[i].origin+(0,0,256), 0.1,0,0);	
			}
	
		}
	}
}